org.wildfly.swarm.config.jgroups

## Class Stack<T extends Stack<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jgroups.Stack<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Stack<T extends Stack<T>>
      extends HashMap

  The configuration of a JGroups protocol stack.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Stack.StackResources` Child mutators for Stack

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stack(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `protocol(Protocol value)` Add the Protocol object to the list of subresources
    `T` | `protocol(ProtocolSupplier supplier)` Install a supplied Protocol object to the list of subresources
    `T` | `protocol(String childKey)` Create and configure a Protocol object to the list of subresources
    `T` | `protocol(String childKey, ProtocolConsumer consumer)` Create and configure a Protocol object to the list of subresources
    `T` | `protocols(List<Protocol> value)` Add all Protocol objects to this subresource
    `T` | `RELAY2()` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2 value)` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2Consumer consumer)` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2Supplier supplier)` The configuration of a RELAY protocol
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Stack.StackResources` | `subresources()`
    `T` | `transport(String childKey)` Create and configure a Transport object to the list of subresources
    `T` | `transport(String childKey, TransportConsumer consumer)` Create and configure a Transport object to the list of subresources
    `T` | `transport(Transport value)` Add the Transport object to the list of subresources
    `T` | `transport(TransportSupplier supplier)` Install a supplied Transport object to the list of subresources
    `T` | `transports(List<Transport> value)` Add all Transport objects to this subresource

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Stack

          public Stack(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Stack.StackResources subresources()

    - #### protocols

          public T protocols(List<Protocol> value)

      Add all Protocol objects to this subresource
      Parameters:
        `value` - List of Protocol objects.
      Returns:
        this

    - #### protocol

          public T protocol(Protocol value)

      Add the Protocol object to the list of subresources
      Parameters:
        `value` - The Protocol to add
      Returns:
        this

    - #### protocol

          public T protocol(String childKey,
                            ProtocolConsumer consumer)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
        `config` - The ProtocolConsumer to use
      Returns:
        this

    - #### protocol

          public T protocol(String childKey)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
      Returns:
        this

    - #### protocol

          public T protocol(ProtocolSupplier supplier)

      Install a supplied Protocol object to the list of subresources

    - #### transports

          public T transports(List<Transport> value)

      Add all Transport objects to this subresource
      Parameters:
        `value` - List of Transport objects.
      Returns:
        this

    - #### transport

          public T transport(Transport value)

      Add the Transport object to the list of subresources
      Parameters:
        `value` - The Transport to add
      Returns:
        this

    - #### transport

          public T transport(String childKey,
                             TransportConsumer consumer)

      Create and configure a Transport object to the list of subresources
      Parameters:
        `key` - The key for the Transport resource
        `config` - The TransportConsumer to use
      Returns:
        this

    - #### transport

          public T transport(String childKey)

      Create and configure a Transport object to the list of subresources
      Parameters:
        `key` - The key for the Transport resource
      Returns:
        this

    - #### transport

          public T transport(TransportSupplier supplier)

      Install a supplied Transport object to the list of subresources

    - #### RELAY2

          public T RELAY2(RELAY2 value)

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2(RELAY2Consumer consumer)

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2()

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2(RELAY2Supplier supplier)

      The configuration of a RELAY protocol

Copyright © 2017 JBoss by Red Hat. All rights reserved.